Package org.apache.tomcat.dbcp.pool2.impl

## Interface GenericObjectPoolMXBean

All Known Implementing Classes:
  `GenericObjectPool`

    public interface GenericObjectPoolMXBean

Defines the methods that will be made available via JMX. NOTE: This interface exists only to define those attributes and methods that will be made available via JMX. It must not be implemented by clients as it is subject to change between major, minor and patch version releases of commons pool. Clients that implement this interface may not, therefore, be able to upgrade to a new minor or patch release without requiring code changes.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `getBlockWhenExhausted()` See `BaseGenericObjectPool.getBlockWhenExhausted()`
`long` `getBorrowedCount()` See `BaseGenericObjectPool.getBorrowedCount()`
`long` `getCreatedCount()` See `BaseGenericObjectPool.getCreatedCount()`
`java.lang.String` `getCreationStackTrace()` See `BaseGenericObjectPool.getCreationStackTrace()`
`long` `getDestroyedByBorrowValidationCount()` See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`
`long` `getDestroyedByEvictorCount()` See `BaseGenericObjectPool.getDestroyedByEvictorCount()`
`long` `getDestroyedCount()` See `BaseGenericObjectPool.getDestroyedCount()`
`java.lang.String` `getFactoryType()` See `GenericObjectPool.getFactoryType()`
`boolean` `getFairness()` See `BaseGenericObjectPool.getLifo()`
`boolean` `getLifo()` See `BaseGenericObjectPool.getFairness()`
`boolean` `getLogAbandoned()` See `GenericObjectPool.getLogAbandoned()`
`long` `getMaxBorrowWaitTimeMillis()` See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`
`int` `getMaxIdle()` See `GenericObjectPool.getMaxIdle()`
`int` `getMaxTotal()` See `BaseGenericObjectPool.getMaxTotal()`
`long` `getMaxWaitMillis()` See `BaseGenericObjectPool.getMaxWaitMillis()`
`long` `getMeanActiveTimeMillis()` See `BaseGenericObjectPool.getMeanActiveTimeMillis()`
`long` `getMeanBorrowWaitTimeMillis()` See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`
`long` `getMeanIdleTimeMillis()` See `BaseGenericObjectPool.getMeanIdleTimeMillis()`
`long` `getMinEvictableIdleTimeMillis()` See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`
`int` `getMinIdle()` See `GenericObjectPool.getMinIdle()`
`int` `getNumActive()` See `GenericObjectPool.getNumActive()`
`int` `getNumIdle()` See `GenericObjectPool.getNumIdle()`
`int` `getNumTestsPerEvictionRun()` See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`
`int` `getNumWaiters()` See `GenericObjectPool.getNumWaiters()`
`boolean` `getRemoveAbandonedOnBorrow()` See `GenericObjectPool.getRemoveAbandonedOnBorrow()`
`boolean` `getRemoveAbandonedOnMaintenance()` See `GenericObjectPool.getRemoveAbandonedOnMaintenance()`
`int` `getRemoveAbandonedTimeout()` See `GenericObjectPool.getRemoveAbandonedTimeout()`
`long` `getReturnedCount()` See `BaseGenericObjectPool.getReturnedCount()`
`boolean` `getTestOnBorrow()` See `BaseGenericObjectPool.getTestOnBorrow()`
`boolean` `getTestOnCreate()` See `BaseGenericObjectPool.getTestOnCreate()`
`boolean` `getTestOnReturn()` See `BaseGenericObjectPool.getTestOnReturn()`
`boolean` `getTestWhileIdle()` See `BaseGenericObjectPool.getTestWhileIdle()`
`long` `getTimeBetweenEvictionRunsMillis()` See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`
`boolean` `isAbandonedConfig()` See `GenericObjectPool.isAbandonedConfig()`
`boolean` `isClosed()` See `BaseGenericObjectPool.isClosed()`
`java.util.Set<DefaultPooledObjectInfo>` `listAllObjects()` See `GenericObjectPool.listAllObjects()`

### Method Detail

#### getBlockWhenExhausted

    boolean getBlockWhenExhausted()

See `BaseGenericObjectPool.getBlockWhenExhausted()`

Returns:
  See `BaseGenericObjectPool.getBlockWhenExhausted()`

#### getFairness

    boolean getFairness()

See `BaseGenericObjectPool.getLifo()`

Returns:
  See `BaseGenericObjectPool.getLifo()`

#### getLifo

    boolean getLifo()

See `BaseGenericObjectPool.getFairness()`

Returns:
  See `BaseGenericObjectPool.getFairness()`

#### getMaxIdle

    int getMaxIdle()

See `GenericObjectPool.getMaxIdle()`

Returns:
  See `GenericObjectPool.getMaxIdle()`

#### getMaxTotal

    int getMaxTotal()

See `BaseGenericObjectPool.getMaxTotal()`

Returns:
  See `BaseGenericObjectPool.getMaxTotal()`

#### getMaxWaitMillis

    long getMaxWaitMillis()

See `BaseGenericObjectPool.getMaxWaitMillis()`

Returns:
  See `BaseGenericObjectPool.getMaxWaitMillis()`

#### getMinEvictableIdleTimeMillis

    long getMinEvictableIdleTimeMillis()

See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`

Returns:
  See `BaseGenericObjectPool.getMinEvictableIdleTimeMillis()`

#### getMinIdle

    int getMinIdle()

See `GenericObjectPool.getMinIdle()`

Returns:
  See `GenericObjectPool.getMinIdle()`

#### getNumActive

    int getNumActive()

See `GenericObjectPool.getNumActive()`

Returns:
  See `GenericObjectPool.getNumActive()`

#### getNumIdle

    int getNumIdle()

See `GenericObjectPool.getNumIdle()`

Returns:
  See `GenericObjectPool.getNumIdle()`

#### getNumTestsPerEvictionRun

    int getNumTestsPerEvictionRun()

See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`

Returns:
  See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`

#### getTestOnCreate

    boolean getTestOnCreate()

See `BaseGenericObjectPool.getTestOnCreate()`

Returns:
  See `BaseGenericObjectPool.getTestOnCreate()`
Since:
  2.2

#### getTestOnBorrow

    boolean getTestOnBorrow()

See `BaseGenericObjectPool.getTestOnBorrow()`

Returns:
  See `BaseGenericObjectPool.getTestOnBorrow()`

#### getTestOnReturn

    boolean getTestOnReturn()

See `BaseGenericObjectPool.getTestOnReturn()`

Returns:
  See `BaseGenericObjectPool.getTestOnReturn()`

#### getTestWhileIdle

    boolean getTestWhileIdle()

See `BaseGenericObjectPool.getTestWhileIdle()`

Returns:
  See `BaseGenericObjectPool.getTestWhileIdle()`

#### getTimeBetweenEvictionRunsMillis

    long getTimeBetweenEvictionRunsMillis()

See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`

Returns:
  See `BaseGenericObjectPool.getTimeBetweenEvictionRunsMillis()`

#### isClosed

    boolean isClosed()

See `BaseGenericObjectPool.isClosed()`

Returns:
  See `BaseGenericObjectPool.isClosed()`

#### getBorrowedCount

    long getBorrowedCount()

See `BaseGenericObjectPool.getBorrowedCount()`

Returns:
  See `BaseGenericObjectPool.getBorrowedCount()`

#### getReturnedCount

    long getReturnedCount()

See `BaseGenericObjectPool.getReturnedCount()`

Returns:
  See `BaseGenericObjectPool.getReturnedCount()`

#### getCreatedCount

    long getCreatedCount()

See `BaseGenericObjectPool.getCreatedCount()`

Returns:
  See `BaseGenericObjectPool.getCreatedCount()`

#### getDestroyedCount

    long getDestroyedCount()

See `BaseGenericObjectPool.getDestroyedCount()`

Returns:
  See `BaseGenericObjectPool.getDestroyedCount()`

#### getDestroyedByEvictorCount

    long getDestroyedByEvictorCount()

See `BaseGenericObjectPool.getDestroyedByEvictorCount()`

Returns:
  See `BaseGenericObjectPool.getDestroyedByEvictorCount()`

#### getDestroyedByBorrowValidationCount

    long getDestroyedByBorrowValidationCount()

See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`

Returns:
  See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`

#### getMeanActiveTimeMillis

    long getMeanActiveTimeMillis()

See `BaseGenericObjectPool.getMeanActiveTimeMillis()`

Returns:
  See `BaseGenericObjectPool.getMeanActiveTimeMillis()`

#### getMeanIdleTimeMillis

    long getMeanIdleTimeMillis()

See `BaseGenericObjectPool.getMeanIdleTimeMillis()`

Returns:
  See `BaseGenericObjectPool.getMeanIdleTimeMillis()`

#### getMeanBorrowWaitTimeMillis

    long getMeanBorrowWaitTimeMillis()

See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`

Returns:
  See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`

#### getMaxBorrowWaitTimeMillis

    long getMaxBorrowWaitTimeMillis()

See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`

Returns:
  See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`

#### getCreationStackTrace

    java.lang.String getCreationStackTrace()

See `BaseGenericObjectPool.getCreationStackTrace()`

Returns:
  See `BaseGenericObjectPool.getCreationStackTrace()`

#### getNumWaiters

    int getNumWaiters()

See `GenericObjectPool.getNumWaiters()`

Returns:
  See `GenericObjectPool.getNumWaiters()`

#### isAbandonedConfig

    boolean isAbandonedConfig()

See `GenericObjectPool.isAbandonedConfig()`

Returns:
  See `GenericObjectPool.isAbandonedConfig()`

#### getLogAbandoned

    boolean getLogAbandoned()

See `GenericObjectPool.getLogAbandoned()`

Returns:
  See `GenericObjectPool.getLogAbandoned()`

#### getRemoveAbandonedOnBorrow

    boolean getRemoveAbandonedOnBorrow()

See `GenericObjectPool.getRemoveAbandonedOnBorrow()`

Returns:
  See `GenericObjectPool.getRemoveAbandonedOnBorrow()`

#### getRemoveAbandonedOnMaintenance

    boolean getRemoveAbandonedOnMaintenance()

See `GenericObjectPool.getRemoveAbandonedOnMaintenance()`

Returns:
  See `GenericObjectPool.getRemoveAbandonedOnMaintenance()`

#### getRemoveAbandonedTimeout

    int getRemoveAbandonedTimeout()

See `GenericObjectPool.getRemoveAbandonedTimeout()`

Returns:
  See `GenericObjectPool.getRemoveAbandonedTimeout()`

#### getFactoryType

    java.lang.String getFactoryType()

See `GenericObjectPool.getFactoryType()`

Returns:
  See `GenericObjectPool.getFactoryType()`

#### listAllObjects

    java.util.Set<DefaultPooledObjectInfo> listAllObjects()

See `GenericObjectPool.listAllObjects()`

Returns:
  See `GenericObjectPool.listAllObjects()`